From: "Sebastien Fabbro" <bicatali@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/snappy/
Date: Fri, 21 Jul 2017 00:23:00 +0000 (UTC) [thread overview]
Message-ID: <1500596549.5ca018d64a95e8c0396746677a7dba481f5991d3.bicatali@gentoo> (raw)
commit: 5ca018d64a95e8c0396746677a7dba481f5991d3
Author: Sébastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 19 18:45:21 2017 +0000
Commit: Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Fri Jul 21 00:22:29 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ca018d6
dev-python/snappy: version bump
Package-Manager: Portage-2.3.6, Repoman-2.3.2
dev-python/snappy/Manifest | 1 +
dev-python/snappy/snappy-0.5.1.ebuild | 32 ++++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+)
diff --git a/dev-python/snappy/Manifest b/dev-python/snappy/Manifest
index 8177e7ed6d7..cee4f4e480f 100644
--- a/dev-python/snappy/Manifest
+++ b/dev-python/snappy/Manifest
@@ -1 +1,2 @@
+DIST python-snappy-0.5.1.tar.gz 15252 SHA256 385fb216e7d1241f70c14c2bea3f042ec235caa65d708294f1ece50d3efa5de3 SHA512 95a6389c58790aaeff61419bb9f183a29ad801733cae8144a67eb6203a8ebf6c6790bea7c025b37588dc98ebd2fed20f37857d2f30199f507f52653d2475c16b WHIRLPOOL 5119e737f44fc6346c2c4a2dbb4cea3ddd5b59d0ba886e81d7f1ebcef6298b165034d10e49db41f2deb24d2a292555981b67d9052ee0fc050943b4243cc8c2c1
DIST python-snappy-0.5.tar.gz 12495 SHA256 c7fe37679ebfc73840c7cc83657a76bc1ac978efa286b8ac3569fd0630d2b80d SHA512 0be15ea133e3a47c6cdb2a340061bf2779d4aae4b34848cd60e6657c168a76970c41f2bae4f57993862bb65c75baa7cf6a562fcbff4c81e22fe7bac69e7d73b1 WHIRLPOOL e0a3afb0d21bd11f6935701fdd7ebc4f0149502d36852c930ea8600cef44f25eb68d3848c96560090d56e4a1c88990d8a3fb9ac6cc854e0b9eb00496501f9759
diff --git a/dev-python/snappy/snappy-0.5.1.ebuild b/dev-python/snappy/snappy-0.5.1.ebuild
new file mode 100644
index 00000000000..0f4866993a9
--- /dev/null
+++ b/dev-python/snappy/snappy-0.5.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+MY_PN=python-${PN}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python library for the snappy compression library from Google"
+HOMEPAGE="https://pypi.python.org/pypi/python-snappy"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+
+RDEPEND=">=app-arch/snappy-1.0.2:="
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ ${RDEPEND}
+"
+
+S="${WORKDIR}/${MY_P}"
+
+
+python_test() {
+ "${EPYTHON}" test_snappy.py -v || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2017-07-21 0:23 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-07-21 0:23 Sebastien Fabbro [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-02-02 18:41 [gentoo-commits] repo/gentoo:master commit in: dev-python/snappy/ Michał Górny
2022-05-19 15:23 Michał Górny
2022-04-10 6:39 Michał Górny
2022-04-09 21:52 Jakov Smolić
2022-04-09 21:24 Jakov Smolić
2022-04-09 16:45 Arthur Zamarin
2022-04-09 16:40 Arthur Zamarin
2022-03-10 6:04 Yixun Lan
2022-02-22 18:55 Michał Górny
2021-06-05 18:20 Michał Górny
2021-02-20 10:10 Michał Górny
2021-02-20 1:45 Sam James
2021-02-19 12:07 Sam James
2021-02-19 3:40 Sam James
2021-02-19 2:54 Sam James
2021-01-18 11:46 Michał Górny
2021-01-07 9:16 Michał Górny
2020-09-20 9:36 Michał Górny
2020-07-20 11:45 Sam James
2020-03-29 8:20 Michał Górny
2020-03-25 13:12 Agostino Sarubbo
2019-12-19 1:17 Zac Medico
2019-05-21 15:37 Stephen Klimaszewski
2017-07-21 17:38 Sebastien Fabbro
2017-05-15 4:30 Zac Medico
2017-01-20 21:43 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1500596549.5ca018d64a95e8c0396746677a7dba481f5991d3.bicatali@gentoo \
--to=bicatali@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox